summaryrefslogtreecommitdiffstats
path: root/jjb/opnfvdocs
diff options
context:
space:
mode:
authorAric Gardner <agardner@linuxfoundation.org>2015-06-11 13:43:34 -0400
committerAric Gardner <agardner@linuxfoundation.org>2015-06-11 15:37:24 -0400
commita85c651868c92fc41d2f6149f02981c3b22e7577 (patch)
tree47ff5035920cec3d2e326af3eac449ad6fa098a1 /jjb/opnfvdocs
parent14c253c2edb4d7bda9852c2006a334445950cc47 (diff)
Use new version docu-build.sh
Update jobs to use new version docu-build.sh, as well as cease using depreciated docu-verify.sh These two are special cases and will be handled in a seperate commit. ./doctor/docu-build.sh ./genesis/docu-build.sh Change-Id: I3e1d7750fce0a1e97e9c1904983e67189e0b8a32 Signed-off-by: Aric Gardner <agardner@linuxfoundation.org>
Diffstat (limited to 'jjb/opnfvdocs')
-rw-r--r--jjb/opnfvdocs/docu-build.sh11
-rw-r--r--jjb/opnfvdocs/docu-verify.sh33
2 files changed, 5 insertions, 39 deletions
diff --git a/jjb/opnfvdocs/docu-build.sh b/jjb/opnfvdocs/docu-build.sh
index ade400d89..057cc97d1 100644
--- a/jjb/opnfvdocs/docu-build.sh
+++ b/jjb/opnfvdocs/docu-build.sh
@@ -8,11 +8,10 @@ export PATH=$PATH:/usr/local/bin/
git_sha1="$(git rev-parse HEAD)"
docu_build_date="$(date)"
-if [[ $GERRIT_EVENT_TYPE != "change-merged" ]] ; then
- patchset="/$GERRIT_CHANGE_NUMBER"
+if [[ $JOB_NAME =~ "verify" ]] ; then
+ patchset="/$GERRIT_CHANGE_NUMBER"
fi
-
files=()
while read -r -d ''; do
files+=("$REPLY")
@@ -61,10 +60,10 @@ for img in "${{images[@]}}"; do
# uploading found images
echo "uploading $img"
cat "$img" | gsutil cp -L gsoutput.txt - \
- gs://artifacts.opnfv.org/"$project"/"$img"
+ gs://artifacts.opnfv.org/"$project""$patchset"/"$img"
gsutil setmeta -h "Content-Type:image/jpeg" \
-h "Cache-Control:private, max-age=0, no-transform" \
- gs://artifacts.opnfv.org/"$project"/"$img"
+ gs://artifacts.opnfv.org/"$project""$patchset"/"$img"
cat gsoutput.txt
rm -f gsoutput.txt
@@ -73,7 +72,7 @@ done
if [[ $GERRIT_EVENT_TYPE = "change-merged" ]] ; then
patchset="/$GERRIT_CHANGE_NUMBER"
if [ ! -z "$patchset" ]; then
- gsutil rm gs://artifacts.opnfv.org/"$project""$patchset"/**
+ gsutil rm gs://artifacts.opnfv.org/"$project""$patchset"/** || true
fi
fi
diff --git a/jjb/opnfvdocs/docu-verify.sh b/jjb/opnfvdocs/docu-verify.sh
deleted file mode 100644
index f337a7fae..000000000
--- a/jjb/opnfvdocs/docu-verify.sh
+++ /dev/null
@@ -1,33 +0,0 @@
-#!/bin/bash
-set -e
-set -o pipefail
-
-project="$(git remote -v | head -n1 | awk '{{print $2}}' | sed -e 's,.*:\(.*/\)\?,,' -e 's/\.git$//')"
-export PATH=$PATH:/usr/local/bin/
-
-git_sha1="$(git rev-parse HEAD)"
-docu_build_date="$(date)"
-
-files=()
-while read -r -d ''; do
- files+=("$REPLY")
-done < <(find * -type f -iname '*.rst' -print0)
-
-for file in "${{files[@]}}"; do
-
- file_cut="${{file%.*}}"
- gs_cp_folder="${{file_cut}}"
-
- # sed part
- sed -i "s/_sha1_/$git_sha1/g" $file
- sed -i "s/_date_/$docu_build_date/g" $file
-
- # rst2html part
- echo "rst2html $file"
- rst2html $file > $file_cut".html"
-
- echo "rst2pdf $file"
- rst2pdf $file -o $file_cut".pdf"
-
-done
-